body{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    height: 100vh !important;
    font-family: 'Noto Sans', 'Sans-serif';
    color: black;
 
}
.btn-rojo{
    text-decoration: none;
    color: rgb(255, 255, 255);
    font: 0.8rem;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    text-transform: uppercase;
    font-weight: 700;
    background-color:#50BA8E;
    padding: 1rem 2rem;
    border-radius: 20px;
    display: inline-block;
    align-self: center;

}
/* secciones*/
/*seccion1*/

#seccion1Contenido{
    color:#21515c;
}

body > hr {
    width: 70rem;
border-color:#21b387; 
margin-left: 1;
margin-bottom: rem;
}



#seccion3 > hr {
    width: 10rem;
border-color:#21b387; 
margin-left: 1;
margin-bottom: 3rem;
}

#seccion1{
    background-color:#ffffff;
}



#barra {
    font-family: 'Croissant one';
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding-top: 2rem;
  padding-bottom: 2rem;
  font-size: 1.3rem;
  background-color: #21515c;
}


#logo {
    font-family: 'Press Start 2P', cursive;
    font-size: 24px;
    color: #ffffff;
    text-transform: uppercase;
    letter-spacing: 2px;
    line-height: 1;
    margin: 0;
    padding-left: 20px; /* Ajusta este valor para más o menos separación */
    
}
nav>a{
    
text-decoration: none;
color:#ffffff;
padding-left: 1rem;
padding-right: 1rem;

}
nav > a:hover{
   
    color:#58b75c;

    
 }


 #seccion1Contenido {
    position: relative;
    height: auto; /* Ocupa el ancho completo de la pantalla */
    height: 88vh; /* Ajusta el contenedor a la altura de la pantalla */
    overflow: hidden;
}

#seccion1Contenido video {
    width: 100vw; /* Asegura que el video cubra todo el ancho */
    height: 100vh;
    object-fit: cover;
    display: block;
    margin: 0;
    padding: 0;
    object-fit: cover;
    position: absolute; /* Hace que el video esté en el fondo */
    top: 0;
    left: 0;
    z-index: 0; /* Coloca el video en el fondo */
}

/* Estilo para el texto que aparece sobre el video */
.overlay-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #2C3E50;
    text-align: center;
    padding: 10px 20px;
    border-radius: 10px;
    z-index: 1; /* Asegura que el texto esté sobre el video */
}
#seccion1Contenido > p {
    position: relative; 
    text-transform: capitalize;
    font-family: 'Croissant one';
    font-size: 2.6rem; /* Tamaño de fuente para pantallas grandes */
    margin-bottom: 0.5rem; /* Espacio inferior */
    font-weight: bold;
    text-align: center;
    width: 100%;
}

#seccion1Contenido > a {
    position: relative;
    top: 35%; /* Ajusta según sea necesario */
    left: 50%; /* Centramos horizontalmente el enlace */
    transform: translateX(-50%); /* Para centrarlo perfectamente */
}

#seccion1Contenido > hr {
    width: 10rem;
    border-color: #21b387;
}

#seccion1Contenido > h1 {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    text-transform: uppercase;
    font-size: 4rem;
    font-weight: 700;
    margin-bottom: 2.5rem;
}
                /* --------------seccion2 ------------------------
                #seccion2
                {
                    background-color: #f4f5f9;
                    min-height: 10rem;
                    display: flex;
                    flex-direction: column;
                    justify-content: center;
                    padding: 3rem;



                } */

                /*--------------seccion3 ------------------------*/
                #seccion3{


                    margin: auto;
                    display: flex;
                    flex-direction: column;
                    width: 80%;
                    margin-bottom: 20px;
 
                    
                }
                #subtitulo1
                {

                    margin-bottom: 2rem;

                }

                #seccion3 > h2 {
                    text-transform: uppercase;
                    text-align: center;
                    font-family: Verdana, Geneva, Tahoma, sans-serif;
                    font-size: 2.5rem;
                    font-weight: 700;

                }
                #seccion3 > hr {
                    width: 10rem;
                border-color:#21b387; 
                margin-left: 1;
                margin-bottom: 3rem;
                }
                #contenedor3{
                    display: flex;
                    justify-content: center;
                    text-align: center;
                    display: flex;
                    flex-direction: row;
                    
                }
                .imagenesOrnamentales{
                    padding-right: 1rem;
                    padding-left: -10rem;
                    

                }
                .imagenesOrnamentales > h6 {
                    text-align: center;
                    font-family: Verdana, Geneva, Tahoma, sans-serif;
                    font-size: 1.5rem;
                    font-weight: 700;
                    margin-bottom: 1rem;

                }

                #imagenesOrnamentales >p{
                   
                    margin-bottom: 2rem;

                }
                .imagenesOrnamentales >img{
                    width:400px;
                    height:450px;
                    margin-bottom:-3rem;
                    

                }
                
                /*--------------seccion 4 ------------------------*/
                #seccion4{
                    background: linear-gradient(rgba(69, 90, 69, 0.7),rgba(104, 134, 104, 0.7)),url(./recursos/imagenes/medicinales.jpg) no-repeat center/cover;
                    background-attachment: fixed;
                    height: 100vh;
                    color: white;
                    display: flex;
                    flex-direction: column;



                }
                #contener2{
                    width: 80%;
                    margin: auto;
                    display: flex;
                    flex-direction: row;

                }
               
                #derecha > p{

                    font-size: 1.3rem;
                    margin-bottom: 4rem;
                }
                #derecha > h3{

                    text-transform: uppercase;
                    font-family: Verdana, Geneva, Tahoma, sans-serif;
                    font-size: 2.5rem;
                    font-weight: 700;
                    margin-bottom: 1.5rem;
                }
                

             /*--------------seccion 5 ------------------------*/

             #seccion5 {
                font-family: 'Croissant one';
                height: 630px;
                width: 100%;
                display: flex;
                flex-direction: column; /* Cambia a columna para centrar verticalmente */
                align-items: center; /* Alinea todos los elementos en el centro */
                background: #E5FCFB;
                margin: 0;
                padding: 0;

            }

            #subseccion5 .compra-card {
                margin: 0 15px; /* Separación horizontal */
            }

            
            body, .container-fluid {
                margin: 0;
                padding: 0;
            }


            .card {
                transition: transform 0.3s, box-shadow 0.3s;
            }

            
            .card:hover {
                transform: scale(1.05);
                box-shadow: 0 4px 15px rgba(0, 0, 0, 0.3);
                background-color: #78a0aa6f; /* Color de fondo al pasar el mouse */
                color: #f45b09; /* Cambia este valor al color deseado para el texto */
            }
            
            
            .card-title {
                transition: font-size 0.3s;
            }
            
            .card:hover .card-title {
                font-size: 1.1em; /* Aumenta el tamaño del texto */
            }

            
            #dere {
                display: flex; /* Asegura que el contenido esté alineado horizontalmente */
                 /* Centra el contenido dentro de #dere */
            }
            #derecha5 > h5 {
                text-transform: uppercase;
                font-family: Verdana, Geneva, Tahoma, sans-serif;
                font-size: 2.5rem;

                text-align: center; /* Alinea el texto a la izquierda */
                margin-bottom: 0.05rem; 
                margin-top: 10px;
            }
            #derecha5 > h6 {
                text-transform: uppercase;
                font-family: Verdana, Geneva, Tahoma, sans-serif;
                font-size: 2rem;

                text-align: center; /* Alinea el texto a la izquierda */
                margin-top: 5px; 
                margin-bottom: 0rem; 
                
            }

            #derecha5 .precio {
                text-transform: uppercase;
                font-family: Verdana, Geneva, Tahoma, sans-serif;
                font-size: 0.9rem;
                color: rgb(17, 16, 16);
                text-align: left;
                margin-bottom: 0rem; 
                margin-top: 8px; /* Espaciado superior opcional */
                width: 100%; /* Asegura que ocupe todo el ancho disponible */
            }

            #derecha5 .duracion {
                text-transform: uppercase;
                font-family: Verdana, Geneva, Tahoma, sans-serif;
                font-size: 0.9rem;
                color: rgb(17, 16, 16);
                text-align: left;
                margin-bottom: 0rem; 
                margin-top: 5px; /* Espaciado superior opcional */
                width: 100%; /* Asegura que ocupe todo el ancho disponible */
            }
            
            
             
             
#dere{
  flex: 2;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    
    justify-items: center;
    align-items: center ;
}


      
    

   
    #dere{
       
      margin-bottom: 4rem;
        padding: 0;
        box-sizing: border-box;
        font-family: sans-serif;
    }
    #derecha5 {
        width: auto; /* Ajusta el ancho al contenido interno */
        display: flex;
        justify-content: center;
        align-items: center;
    }
   
    #derecha5 > figure {
        position: relative;
        object-fit: cover;
        height: 500px;
        width: 330px;
        display: flex;
        overflow: hidden;
        box-shadow: 0px 15px 25px rgba(0,0,0,0.50);
        margin: 0; /* Elimina márgenes */
        padding: 0; /* Elimina relleno si hay alguno */
    }
    
 #derecha5 >figure >img{
        
    height: auto;
    width: auto;
    max-height: height 500px; 
    max-width: width 330px ;
    transition: all 500ms ease-in-out;
   
    
}    
    #derecha5> figure .capa{
        position: absolute;
        top:0;
        height: 100%;
        width: 100%;
        background: rgba(7, 242, 222, 0.459);
      

        transition: all 500ms ease-in-out;
        opacity: 0;
        visibility: hidden;
        text-align: center;
        
    } 
    


#derecha5> figure:hover >.capa {
   
    opacity: 1;
    visibility: visible;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 2rem;
    font-weight: 100;
    
} 
#derecha5> figure:hover >.capa >h3 {
   
    margin-left: center;
    margin-top:6rem;
	
    
} 

footer {
    padding-top:  1rem;
    background-color: rgb(11, 91, 102);
    color: white;
    text-align: center;
    font-family: 'Croissant one';
}

  @media (max-width: 600px) {
    #barra {
        font-size: 1rem;
        padding: 1rem;
        flex-direction: column;
        align-items: center; 
        display: flex; /* Asegura que se esté usando flexbox */
        justify-content: center; /* Centra los elementos verticalmente */
        text-align: center; /* Alinea el texto al centro */
      }
}